Bug 217981 - Cannot resize LVM partitions
Summary: Cannot resize LVM partitions
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: parted (Show other bugs)
(Show other bugs)
Version: 4.3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: David Cantrell
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-01 00:54 UTC by Magnus Hagebris
Modified: 2007-11-17 01:14 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 21:07:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Magnus Hagebris 2006-12-01 00:54:30 UTC
Description of problem:     
I talked to RHEL support a while ago about this. Would be nice if parted could    
resize LVM partitions. Also noted    
http://viridian.homeunix.net/flyspray/?do=details&id=5 , which indicates this    
feature is due in 2.0.  So just filing this one as reference...  
     
Version-Release number of selected component (if applicable):     
1.6.19-1.8.0     
     
How reproducible:     
-   
     
Steps to Reproduce:     
1. # parted -s /dev/sdc mklabel gpt    
2. # parted -s /dev/sdc unit MiB mkpart primary ext3 0 1    
3. # parted -s /dev/sdc set 1 lvm on   
4. # # parted -s /dev/sdc unit MiB resize 1 0 2 
Error: Could not detect file system. 
       
Actual results:     
- 
 
Expected results:     
- 
    
Additional info:     
-

Comment 1 David Cantrell 2007-08-14 21:07:11 UTC
Feature requests like this should be reported to RH technical support and/or
escalated through your through your TAM.  A feature request like this will most
likely be denied for RHEL4 as that product is now in maintenance mode.


Note You need to log in before you can comment on or make changes to this bug.